﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
     using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Core.Items;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;

  [RequiresSkill(typeof(MasonrySkill), 2)]
    
    public class TorfbrikettsRecipe : RecipeFamily
	


    {
        public TorfbrikettsRecipe()
        {
            
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "Torfbriketts",
                    Localizer.DoStr("Torfbriketts"),
                    new IngredientElement[]
                    {
                  new IngredientElement(typeof(DirtItem), 7, typeof(MasonrySkill), typeof(MasonryLavishResourcesTalent)),
                    },
                new CraftingElement<TorfbrikettsItem>()
                )
            };
            this.ExperienceOnCraft = 0;
            this.LaborInCalories = CreateLaborInCaloriesValue(80);
            this.CraftMinutes = CreateCraftTimeValue(1);

            this.Initialize(Localizer.DoStr("Torfbriketts"), typeof(TorfbrikettsRecipe));
            CraftingComponent.AddRecipe(typeof(KilnObject), this);
            //CraftingComponent.AddRecipe(typeof(ChristmasSetObject));
        }
    }



    [Serialized]
    [LocDisplayName("Torfbriketts")]
    [Weight(1000)]      
    [Fuel(20000)][Tag("Fuel")]          
    [Tag("Currency")][Currency]              
    [Ecopedia("Items", "Products", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]                                                                           
    [Tag("Coal", 1)]
    [Tag("Burnable Fuel", 1)]                                 
    public partial class TorfbrikettsItem:
    Item                                    
    {
        public override LocString DisplayDescription { get { return Localizer.DoStr("zum verheizen."); } }
    }
}
